Problem after Updating to v28

I get this error now

* The reverse proxy header configuration is incorrect. This is a security issue and can allow an attacker to spoof their IP address as visible to the Nextcloud. For more details see the [documentation ↗](https://docs.nextcloud.com/server/28/go.php?to=admin-reverse-proxy).

What is different, this wasn’t a problem thus far …

I am using jwilder/nginx-proxy so i am not really sure how to add custom headers …

Running security scan also says NOT on latest patch level but I just upgraded …

Other errors:

  • 11 errors in the logs since 11. februar 2024

  • Server has no maintenance window start time configured. This means resource intensive daily background jobs will also be executed during your main usage time. We recommend to set it to a time of low usage, so users are less impacted by the load caused from these heavy tasks. For more details see the documentation :arrow_upper_right:.

  • This instance is missing some recommended PHP modules. For improved performance and better compatibility it is highly recommended to install them: bz2. For more details see the documentation :arrow_upper_right:.

How do I see errors in the log … there’s too much noise in docker-compose logs

What PHP modules are missing, and why since I am running a docker image? Shouldn’t these be included?

Also SUDO is not installed by default and therefore

sudo -u www-data php — fails,

Shouldn’t this be included as well?

Thanks.


These must be it, right?

I don’t use snappy mail anymore, i’ve uninstalled it and I fixed the low disk error

Not sure what the others mean though.

WHY DOESN’T DOCKER IMAGE COME WITH ALL REQUIREMENTS INSTALLED ?

WHO THERE THOUGHT, YEAH LET’S GIVE THEM HALF ASSED IMAGE AND LET THEM FIX IT

AND FIGURED THIS IS A GOOD IDEA ?

This is a complete sentence !

Somebody there needs to read WHY DO DOCKER IMAGES EVEN EXIST, CAN YOU COMPREHEND WHY DID THEY COME TO BE ?

HOW DO I ADD A STUPID PHP MODULE NOW AND WHERE ???

Yes sir, this is a complete sentence!

Stop yelling, and nagging around like a little kid if you seriously expect help here.

1 Like

everytime you want to run occ command from inside image, you need to apt update and apt install sudo

trully stupid

i don’t know if you guys forgot to add a few basic dependencies or just laziness

if you wanted to help you would’ve

start with reading this: GitHub - nextcloud/docker: ⛴ Docker image of Nextcloud

and this: Background jobs — Nextcloud latest Administration Manual latest documentation

1 Like

if you install php modules inside the image, it gets lost… docker-compose down and docker-compose up - d and all the changes are gone

trully don’t get this

i’ll just leave it, i am not zipping anything anyway

i’ ve had nextcloud for 2 years now and THIS UPDATE BROKE IT

you guys could write A CHANGE LOG AND NOT EXPECT PEOPLE TO READ ALL BOOKS EVERY STUPID UPDATE

It’s not broke otherwise you wouldn’t be able to see the setup warnings ;-p

it’s broke, whats ’ unclear to you ?

i’ve updated, doesn’t work !

see, you’ve add 8 tags to this thread …

8 THINGS ARE BROKEN THAT YOU WERE ABLE TO IDENTIFY, just from my whine …

lmaoo, i suggest YOU GO UPDATE THE DOCUMENTATION AND SEND THE LINKS OUT

How would a changelog help, if you don’t know how to use occ to apply the new parameters or how to add them via environment variables: GitHub - nextcloud/docker: ⛴ Docker image of Nextcloud

You don’t need to read the “books” all over again because of a new configuration parameter, but you should have read them at least once to know the basics of how to manage the environment you are using.

brother, i’ve been using this thing for more than 2 years, i know my way around

what i don’t know is what changed since last version to this version that i need to spends hours now trying to hunt down what you guys forgot

i am not going to read the whole documentation to try to find what’s new

i don’t have a diff tool in my head

I found this i know how to fix it Docker image: setup warning missing bz2 after update to NC 28.0.0 - #17 by pri_ms_ki

what i don’t understand why isn’t this in the image, because installing like this does not make it persistent

Thats’ why there is a warning in the adminstrator overwiew, with a link to the documentation. And if you would have read that link, you would have realized, that the maintainenance window parameter differs depending on the timezone you’re in, so it can’t be pre-set in the image.

what i don’t understand why isn’t this in the image, because installing like this does not make it persistent

what i don’t understand why isn’t this in the image, because installing like this does not make it persistentwhat i don’t understand why isn’t this in the image, because installing like this does not make it persistentwhat i don’t understand why isn’t this in the image, because installing like this does not make it persistentwhat i don’t understand why isn’t this in the image, because installing like this does not make it persistentwhat i don’t understand why isn’t this in the image, because installing like this does not make it persistentwhat i don’t understand why isn’t this in the image, because installing like this does not make it persistent